Temes avançats
Anterior |  | Següent

## Temes avançats

### Opcions de la línia de comandes

Quan Terminal s'inicia des de la línia de comandes o des del llançador del panell es poden especificar diverses opcions per a modificar el seu comportament.

`--help`

  Llista les opcions de la línia de comandes suportades per Terminal i surt.

`--version`

  Mostra informació sobre la versió i surt

`--disable-server`

  No es registra amb el bus de sessions de D-BUS

`--execute` `...`

  Executa el recordatori de la línia de comandes dins el terminal

`--command` `comanda`

  Executa `comanda` dins el terminal

`--working-directory` `directori`

  Estableix `directori` com el directori de treball per al terminal

`--title` `títol`

  Estableix `títol` com el títol inicial de la finestra del terminal

`--hold`

  Causa que el terminal es mantingui encara que la comanda executada hagi acabat

`--display` `display`

  Obre la finestra del terminal a la pantalla X especificada per `display`.

`--geometry` `geometria`

  Estableix la geometria de la nova finestra a `geometria`. Llegiu `man `X`` per a obtenir més informació de com especificar geometries de finestra.

`--role` `rol`

  Estableix el rol de la darrera finestra a `rol`. S'aplica només a una finestra i es pot especificar un cop per cada finestra que es creï des de la línia de comandes. La seva utilitat és generalment aplicada a la gestió de sessions dins Terminal.

`--startup-id` `identificador`

  Especifica la identificació de notificacions d'inici per a l'última finestra especificada. S'empra internament per a re-enviar la notificació d'inici quan s'usa el servei D-BUS.

`--fullscreen`

  L'última finestra especificada es posa en mode de pantalla completa; s'aplica un cop per finestra. Es pot especificar per cadascuna de les finestres des de la línia de comandes.

`--maximize`

  L'última finestra especificada es posa en mode maximitzat; s'aplica un cop per finestra. Es pot especificar per cadascuna de les finestres des de la línia de comandes.

`--show-menubar`

  Mostra la barra del menú per a la finestra especificada en darrer terme. Es pot especificar un cop per cadascuna de les finestres creades des de la línia de comandes.

`--hide-menubar`

  Oculta la barra del menú per a la finestra especificada en darrer terme. Es pot especificar un cop per cadascuna de les finestres creades des de la línia de comandes.

`--show-borders`

  Mostra les decoracions de la finestra per a la finestra especificada en darrer terme. S'aplica un cop per finestra. Es pot especificar un cop per cadascuna de les finestres que es creen des de la línia de comandes.

`--hide-borders`

  Oculta les decoracions de la finestra per a la finestra especificada en darrer terme. S'aplica un cop per finestra. Es pot especificar un cop per cadascuna de les finestres que es creen des de la línia de comandes.

`--show-toolbars`

  Mostra les barres d'eina per a la finestra especificada. S'aplica a una única finestra. Es pot especificar a cadascuna de les finestres que es creen des de la línia de comandes.

`--hide-toolbars`

  Oculta les barres d'eina per a la finestra especificada. S'aplica a una única finestra. Es pot especificar a cadascuna de les finestres que es creen des de la línia de comandes.

`--tab`

  Obre una nova pestanya en la finestra especificada. Es pot afegir més d'una de les opcions que hi ha tot seguit.

`--window`

  Obre una finestra que conté una pestanya. Es pot emprar més d'una d'aquestes opcions.

Per exemple, suposem que voleu una nova finestra de terminal amb dues pestanyes, on la primera pestanya executi mutt i la segona pestanya executi mc, la finestra tingui una amplada de 80 columnes i 40 files d'alçada. La comanda que hauríeu d'invocar seria:

    Terminal --geometry 80x40 --command mutt --tab --command mc

### Fitxers i variables d'entorn

Terminal usa Basedir Specification definit a Freedesktop.org per a localitzar les seves dades i els seus fitxers de configuració. Això significa que les localitzacions dels fitxers s'especificaran de forma relativa als directoris descrits en aquesta especificació.

`${XDG_CONFIG_HOME}`

  El directori base per on buscar fitxers de configuració. Per defecte és `~/.config/`.

`${XDG_CONFIG_DIRS}`

  Una llista de directoris base separades pel caràcter dos punts que contenen les dades de configuració. Per defecte, l'aplicació mirarà a `${sysconfdir}/xdg/`. El valor `${sysconfdir}` depèn de com s'ha escrit el programa i sovint serà `/etc/`.

`${XDG_DATA_HOME}`

  L'arrel per a tots els fitxers de dades específics de l'usuari. Per defecte és `~/.local/share/`.

`${XDG_DATA_DIRS}`

  Un conjunt ordenat de directoris base a partir dels quals es buscaran els fitxers de dades a més del directori base `${XDG_DATA_HOME}`. Els directoris s'han de separar mitjançant el caràcter dos punts.

`${XDG_CONFIG_DIRS}/Terminal/terminalrc`

  Aquesta és la localització del fitxer de configuració que inclou les preferències que controlen l'aparença de Terminal.

`${XDG_DATA_DIRS}/Terminal/Terminal-toolbars.ui`

  Aquest fitxer inclou la definició de la interfície d'usuari de les barres d'eines. Si personalitzeu les barres d'eina usant l'editor gràfic, Terminal emmagatzemarà les noves distribucions de la barra d'eines en el fitxer `${XDG_DATA_HOME}/Terminal/Terminal-toolbars.ui`.

### Opcions ocultes

Terminal ofereix unes poques opcions ocultes per a permetre a usuaris avançats controlar diverses opcions avançades i reduir el nombre d'opcions a la interfície. Per a establir qualevol d'aquestes opcions, heu d'obrir el fitxer `${XDG_CONFIG_HOME}/Terminal/terminalrc` en el vostre editor de textos favorit i editar la secció `[Configuration]`; si el fitxer no existeix, simplement creeu-lo. Per exemple, el vostre fitxer `terminalrc` podria ser com

    [Configuration]
    MiscAlwaysShowTabs=TRUE
    MiscBell=TRUE
    MiscConfirmClose=FALSE
    MiscCursorBlinks=TRUE
    MiscCursorShape=TERMINAL_CURSOR_SHAPE_BLOCK
    MiscCycleTabs=FALSE
    MiscInheritGeometry=TRUE
    MiscMouseAutohide=FALSE
    MiscTabCloseButtons=TRUE
    MiscTabCloseMiddleClick=TRUE
    MiscTabPosition=GTK_POS_TOP
    MiscHighlightUrls=TRUE

més totes les opcions controlades a través del diàleg de preferències.

`MiscAlwaysShowTabs`

  Si `TRUE` les capçaleres de les pestanyes sempre es mostraran, encara que només n'hi hagi una. Aquesta opció és útil si no voleu que la finestra del terminal canviï de mida quan s'obri una segona pestanya. Per defecte està desactivat.

`MiscBell`

  Activa (`MiscBell=TRUE`) o desactiva (`MiscBell=FALSE`) el senyal acústic del terminal. Per defecte està desactivat.

`MiscConfirmClose`

  Controla si Terminal mostra un diàleg de confirmació quan l'usuari intenta tancar la finestra de terminal quan hi ha múltiples pestanyes. Pot ser `TRUE` (per defecte> o `FALSE`.

`MiscCursorBlinks`

  Activeu aquesta opció per a mostrar un cursor que fa pampallugues. Pot ser `TRUE` (per defecte) o `FALSE`.

`MiscCursorShape`

  Especifica la forma del cursor al terminal. Les opcions disponibles són `TERMINAL_CURSOR_SHAPE_BLOCK` (per defecte), `TERMINAL_CURSOR_SHAPE_IBEAM` i `TERMINAL_CURSOR_SHAPE_UNDERLINE`. Aquesta opció només està disponible quan es compila amb la VTE 0.19.1 o posterior.

`MiscCycleTabs`

  Aquesta opció controla com es circula a través de les pestanyes del terminal. Això és, si podeu anar des de la darrera pestanya a la primera fent servir el botó Següent pestanya del menú Ves (o la drecera de teclat associada), i des de la primera pestanya a l'última fent servir el botó Pestanya prèvia del menú Ves. L'opció pot ser `TRUE` (per defecte) o `FALSE`.

`MiscDefaultGeometry`

  La mida per defecte de les noves finestres de Terminal si no s'especifica `--geometry` a la línia de comandes és de `80x24`.

`MiscInheritGeometry`

  Aquesta opció permet heretar a les noves finestres la geometria (mides de la pestanya activa) de la seva finestra mare (la finestra de la qual s'ha oberta la nova finestra). Pot ser `TRUE` o `FALSE` (per defecte).

`MiscMouseAutohide`

  Aquesta opció permet a Terminal ocultar el cursor del ratolí mentre s'escriu a una finestra de terminal. Pot ser `TRUE` o `FALSE` (per defecte).

`MiscTabCloseButtons`

  Aquesta opció permet a Terminal proveir un botó per a tancar des de la pestanya del títol. Pot ser `TRUE` (per defecte) o `FALSE`.

`MiscTabCloseMiddleClick`

  Aquesta opció permet a Terminal tancar la pestanya del terminal quan l'usuari fa clic amb el botó central del ratolí al títol de la pestanya. Pot ser `TRUE` (per defecte) o `FALSE`.

`MiscTabPosition`

  Especifica on es mostraran les capçaleres de les pestanyes. Pot ser `GTK_POS_TOP` (per defecte), `GTK_POS_LEFT`, `GTK_POS_BOTTOM` o `GTK_POS_RIGHT`. Si especifiqueu `GTK_POS_LEFT` o `GTK_POS_RIGHT`, la capçalera de la pestanya es mostrarà vertical enlloc d'horitzontalment. Recomanem desactivar `MiscTabCloseButtons` per a `GTK_POS_LEFT` i `GTK_POS_RIGHT`.

`MiscHighlightUrls`

  Aquesta opció indica si es ressaltaran les ubicacions - tant hiperenllaços i adreces de correu - en el text mostrat a la finestra del terminal. Si canvieu aquesta opció a `FALSE, les ubicacions no es ressaltaran i no podreu obrir-les mitjan`

Anterior |  | Següent
Preferències | Inici | Preguntes més freqüents